List statement lines
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": [
{
"object": "statement_line",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"occurred_at": "2023-12-25",
"description": "<string>",
"reference": "<string>",
"amount": 123,
"running_balance": 123,
"parent_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attached_line_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_amount": 123,
"status": "pending",
"reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidates": [
{
"match": "exact_reference",
"amount": 123,
"difference": 123,
"records": [
{
"target_type": "payment",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-12-25",
"amount": 123,
"reference": "<string>",
"description": "<string>"
}
]
}
]
}
],
"object": "list",
"url": "<string>",
"has_more": true,
"next_cursor": "<string>"
}List statement lines
Read source lines with up to five candidate groups per line. Exact references rank first; partial matches show the remaining difference. Attached tax lines resolve with their parent.
GET
/
api
/
v1
/
statements
/
{statement_id}
/
lines
List statement lines
curl --request GET \
--url https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lapyme.com.ar/api/v1/statements/{statement_id}/lines")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"data": [
{
"object": "statement_line",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"statement_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"occurred_at": "2023-12-25",
"description": "<string>",
"reference": "<string>",
"amount": 123,
"running_balance": 123,
"parent_line_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"attached_line_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"group_amount": 123,
"status": "pending",
"reconciliation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidates": [
{
"match": "exact_reference",
"amount": 123,
"difference": 123,
"records": [
{
"target_type": "payment",
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"occurred_at": "2023-12-25",
"amount": 123,
"reference": "<string>",
"description": "<string>"
}
]
}
]
}
],
"object": "list",
"url": "<string>",
"has_more": true,
"next_cursor": "<string>"
}Authorizations
Incluí tu API key en el header Authorization con el prefijo Bearer.
Path Parameters
Query Parameters
Available options:
all, pending, linked, excluded Required range:
1 <= x <= 100Was this page helpful?

